provide-module local-kakrc %—
    declare-option str local_kakrc_trusted %exp{%val{config}/local_kakrc_trusted.txt}

    # ensures that the file exists
    define-command -hidden local-kakrc-ensure-file %{
        nop %sh{
            if [ ! -f "$kak_opt_local_kakrc_trusted" ]; then
                mkdir -p "$kak_opt_local_kakrc_trusted"
                touch "$kak_opt_local_kakrc_trusted"
            fi
        }
    }

    define-command -params 0..1 local-kakrc-add-trusted %{
        nop %sh{
            if [ "$#" -eq 0 ]; then
                arg="$PWD"
            else
                arg="$(realpath "$1")"
            fi
            notify-send "$arg"
        }
    }

    complete-command local-kakrc-add-trusted shell-script-candidates %{
        fd -td --exclude '.git' --base-directory "$PWD" .
    }
    
    # syntax highlighting
    hook global BufCreate (.*/)?\.kakrc %{
        set-option buffer filetype kak
    }
    # load proj. config
    define-command root-load-kakrc %{
        try %{ source %exp{%opt{root_path}/.kakrc} }
    }
—
